DEBCONF-COPYDB.RO.1(1)

NUME
debconf-copydb - copiază o bază de date debconf

SINOPSIS
 debconf-copydb BD-sursă BD-destinație [--pattern=model] [--owner-pattern=model] [--config=Foo:bar]

DESCRIERE
debconf-copydb copiază elemente dintr-o bază de date debconf existentă într-o altă bază de date, posibil nouă. Cele două baze de date pot avea formate diferite; în acest caz, se va face automat o conversie.

OPȚIUNI

BD-sursă
    Numele bazei de date sursă. De obicei, acesta va fi definit în fișierul debconf.conf (sau .debconfrc).

BD-destinație
    Numele bazei de date de destinație. Acesta poate fi definit în debconf.conf sau .debconfrc, sau îl puteți defini în linia de comandă (a se vedea mai jos).

-p model, --pattern model
    Dacă acesta este specificat, vor fi copiate numai elementele din BD-sursă ale căror nume corespund modelului.

--owner-pattern model
    Dacă acesta este specificat, vor fi copiate numai elementele din BD-sursă ai căror proprietari corespund modelului.

-c foo:bar, --config Foo:bar
    Stabilește opțiunea „Foo” la „bar”. Acest lucru este similar cu scrierea:

      Foo: bar

    În debconf.conf, cu excepția faptului că probabil doriți să omiteți spațiul din linia de comandă (sau să-l puneți între ghilimele duble: "Foo: bar"). În general, trebuie utilizată de mai multe ori, pentru a construi o strofă de configurare completă. În timp ce liniile goale sunt utilizate pentru a separa strofele în debconf.conf, acest program va presupune că „Name:numeBD” reprezintă începutul unei noi strofe.

EXEMPLE
  debconf-copydb configdb copie_de_rezervă-BD

Copiază toată baza de date „configdb” în copie_de_rezervă-BD, presupunând că aveți deja baza de date de copie_de_rezervă-BD definită în debconf.conf.

  debconf-copydb configdb BD-nouă --pattern='^slrn/' \
        --config=Name:BD-nouă --config=Driver:File \
        --config=Filename:BD-nouă.dat

Copiază datele slrn din baza de date „configdb” în BD-nouă. BD-nouă nu este definită în fișierul rc, astfel încât opțiunea „--config” stabilește baza de date din mers.

  debconf-copydb configdb stdout -c Name:stdout -c Driver:Pipe \
        -c InFd:none --pattern='^foo/'

Scoate toate elementele din baza de date debconf referitoare la pachetul foo.

  debconf-copydb configdb pipe --config=Name:pipe \
                --config=Driver:Pipe --config=InFd:none | \
        ssh gazdă_la_distanță debconf-copydb pipe configdb \
                --config=Name:pipe --config=Driver:Pipe

Aceasta utilizează sistemul de control (driver) special pentru acest scop, „pipe”, pentru a copia o bază de date pe un sistem la distanță.

CONSULTAȚI ȘI
debconf.conf(5)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUCERE
Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>, 2024

Dacă găsiți o greșeală în traducere, vă rugăm să o raportați autorului acestei traduceri, pe lista de discuții <debian-l10n-romanian@lists.debian.org> sau trimițând un raport de eroare contra pachetului „debconf” către sistemul de urmărire al erorilor din Debian (BTS).